aboutsummaryrefslogtreecommitdiff
path: root/opal-ci
diff options
context:
space:
mode:
Diffstat (limited to 'opal-ci')
-rwxr-xr-xopal-ci/build-qemu-powernv.sh8
-rwxr-xr-xopal-ci/install-deps-qemu-powernv.sh5
2 files changed, 13 insertions, 0 deletions
diff --git a/opal-ci/build-qemu-powernv.sh b/opal-ci/build-qemu-powernv.sh
new file mode 100755
index 0000000..5b9a4f4
--- /dev/null
+++ b/opal-ci/build-qemu-powernv.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -e
+
+git clone --depth=1 -b qemu-powernv-for-skiboot-1 git://github.com/open-power/qemu.git
+cd qemu
+git submodule update --init dtc
+./configure --target-list=ppc64-softmmu --disable-werror
+make -j `grep -c processor /proc/cpuinfo`
diff --git a/opal-ci/install-deps-qemu-powernv.sh b/opal-ci/install-deps-qemu-powernv.sh
new file mode 100755
index 0000000..a67daf4
--- /dev/null
+++ b/opal-ci/install-deps-qemu-powernv.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -e
+sudo apt-get -y install eatmydata
+sudo eatmydata apt-get -y install gcc python g++ pkg-config \
+libz-dev libglib2.0-dev libpixman-1-dev libfdt-dev git